fop 1.1

## org.apache.fop.layoutmgr
Class LayoutManagerMapping.InstreamForeignObjectLayoutManagerMaker

    java.lang.Object
      org.apache.fop.layoutmgr.LayoutManagerMapping.Maker
          org.apache.fop.layoutmgr.LayoutManagerMapping.InstreamForeignObjectLayoutManagerMaker

Enclosing class:
  LayoutManagerMapping

    public static class LayoutManagerMapping.InstreamForeignObjectLayoutManagerMaker

extends LayoutManagerMapping.Maker

a layout manager maker

Constructor Summary
`LayoutManagerMapping.InstreamForeignObjectLayoutManagerMaker()`

Method Summary
`void` `make(FONode node, java.util.List lms)` Create a layout manager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LayoutManagerMapping.InstreamForeignObjectLayoutManagerMaker

    public LayoutManagerMapping.InstreamForeignObjectLayoutManagerMaker()

Method Detail

### make

    public void make(FONode node,
                     java.util.List lms)

  Create a layout manager.

  Overrides:
    `make` in class `LayoutManagerMapping.Maker`
  Parameters:
    `node` - the associated FO node
    `lms` - a list of layout managers to which new manager is to be added

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.